# Generated by Django 3.2.6 on 2022-02-21 19:42

import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Employee',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone_number', models.IntegerField(validators=[django.core.validators.MinValueValidator(70000000000), django.core.validators.MaxValueValidator(79999999999)])),
                ('operator_code', models.CharField(max_length=10, verbose_name='Код оператора')),
                ('tag', models.CharField(max_length=10, verbose_name='Тэг')),
                ('timezone', models.SmallIntegerField()),
            ],
        ),
        migrations.CreateModel(
            name='Mailing',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_start', models.DateTimeField(default=django.utils.timezone.now)),
                ('date_finish', models.DateTimeField()),
                ('text', models.TextField()),
                ('operator_code', models.CharField(max_length=10, verbose_name='Код оператора')),
                ('tag', models.CharField(max_length=10, verbose_name='Тэг')),
            ],
        ),
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_start', models.DateTimeField(default=django.utils.timezone.now)),
                ('status', models.CharField(max_length=10, verbose_name='Статус отправки')),
                ('mailing', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='messages_mailing', to='notifications.mailing')),
                ('recipient', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='recipient_recipient', to='notifications.employee')),
            ],
        ),
    ]
